| Openscape Voice V10 - SOAP Interface Documentation

Classes | Enumerations | Functions
Broadcast Group

Broadcast Group Definitions and Methods. More...

## Classes
struct | unsp__BcastGroupId
| Broadcast Group identifier fields. More...
struct | unsp__AddBcastGroupRequest
| Add Broadcast Group request. More...
struct | unsp__AddBcastGroupResult
| Add Broadcast Group result. More...
struct | unsp__ModifyBcastGroupRequest
| Modify Broadcast Group request. More...
struct | unsp__ModifyBcastGroupResult
| Modify Broadcast Group result. More...
struct | unsp__RemoveBcastGroupRequest
| Remove Broadcast Group request. More...
struct | unsp__RemoveBcastGroupResult
| Remove Broadcast Group result. More...
struct | unsp__BcastGroupElement
| Broadcast Group entry. More...
struct | unsp__BcastGroupList
| List of Broadcast Group entries. More...
struct | unsp__QueryBcastGroupRequest
| Query Broadcast Group request. More...
struct | unsp__QueryBcastGroupResult
| Query Broadcast Group result. More...
struct | unsp__BcastMemberListData
| Broadcast Member entry used when adding or modifying a Broadcast Member. More...
struct | unsp__BcastMemberList
| List of Broadcast Member entries used when adding or modifying a Broadcast Member. More...
struct | unsp__BcastMemberQueryListData
| Broadcast Member entry. More...
struct | unsp__BcastMemberQueryList
| List of Broadcast Member entries. More...
struct | unsp__AddBcastMembersRequest
| Add Broadcast Members request. More...
struct | unsp__BcastMemberResult
| Individual Broadcast Member results. More...
struct | unsp__BcastMembersResult
| Individual Broadcast Members list results. More...
struct | unsp__AddBcastMembersResult
| Add Broadcast Members result. More...
struct | unsp__ModifyBcastMembersRequest
| Modify Broadcast Members request. More...
struct | unsp__ModifyBcastMembersResult
| Modify Broadcast Members result. More...
struct | unsp__BcastMemberIdList
| List of Broadcast Member DNs that will be removed. More...
struct | unsp__RemoveBcastMembersRequest
| Remove Broadcast Members request. More...
struct | unsp__RemoveBcastMembersResult
| Remove Broadcast Members result. More...
struct | unsp__QueryBcastMembersRequest
| Query Broadcast Members request. More...
struct | unsp__QueryBcastMembersResult
| Query Broadcast Members result. More...

## Enumerations
enum | unsp__BcastGroupSortType { Bcast_SortBy_GroupNumber, Bcast_SortBy_GroupName }
| Broadcast Group query sort type. More...
enum | unsp__BcastMemberRole { BcastMemberRole_Both, BcastMemberRole_Initiator, BcastMemberRole_Receiver }
| Role for Broadcast Members during a broadcast call. More...
enum | unsp__BcastMembersSortType { Bcast_SortBy_MemberDn, Bcast_SortBy_MemberRole }
| Sort criterion for Broadcast Members. More...

## Functions
int | unsp__AddBcastGroup (struct unsp__AddBcastGroupRequest AddBcastGroupRequest, struct unsp__AddBcastGroupResult *AddBcastGroupResult)
| Creates a Broadcast Group. More...
int | unsp__ModifyBcastGroup (struct unsp__ModifyBcastGroupRequest ModifyBcastGroupRequest, struct unsp__ModifyBcastGroupResult *ModifyBcastGroupResult)
| Modifies a Broadcast Group. More...
int | unsp__RemoveBcastGroup (struct unsp__RemoveBcastGroupRequest RemoveBcastGroupRequest, struct unsp__RemoveBcastGroupResult *RemoveBcastGroupResult)
| Removes a Broadcast Group. More...
int | unsp__QueryBcastGroup (struct unsp__QueryBcastGroupRequest QueryBcastGroupRequest, struct unsp__QueryBcastGroupResult *QueryBcastGroupResult)
| Queries Broadcast Groups using the provided filtering, sorting and paging values. More...
int | unsp__AddBcastMembers (struct unsp__AddBcastMembersRequest AddBcastMembersRequest, struct unsp__AddBcastMembersResult *AddBcastMembersResult)
| Adds Broadcast Members to the designated Broadcast Group. More...
int | unsp__ModifyBcastMembers (struct unsp__ModifyBcastMembersRequest ModifyBcastMembersRequest, struct unsp__ModifyBcastMembersResult *ModifyBcastMembersResult)
| Modifies Broadcast Members belonging the designated Broadcast Group. More...
int | unsp__RemoveBcastMembers (struct unsp__RemoveBcastMembersRequest RemoveBcastMembersRequest, struct unsp__RemoveBcastMembersResult *RemoveBcastMembersResult)
| Removes Broadcast Members belonging the designated Broadcast Group. More...
int | unsp__QueryBcastMembers (struct unsp__QueryBcastMembersRequest QueryBcastMembersRequest, struct unsp__QueryBcastMembersResult *QueryBcastMembersResult)
| Queries Broadcast Members using the provided filtering, sorting and paging values. More...

## Detailed Description

Broadcast Group Definitions and Methods.

Broadcast Groups are used to configure 1-way Speaker Broadcast capabilities for subscribers. Subscribers that are members to a Broadcast Group have the ability to initiate and/or receive Broadcast Calls depending on the setup. Members whose Role is 'Initiator' are able to broadcast over the speakers of the 'Receivers' in a Broadcast Group. Broadcast members with the role of 'Receiver' and which have 'Do not Disturb' enabled will not be receiving Broadcast Calls. An OSV subscriber can be a member of many Broadcast Groups concurrently and its role may vary in the different groups. The maximum number of members per Broadcast Group is 50 and a Broadcast Group in order to be operational must have at least two members: an 'Initiator' and a 'Receiver'. The maximum number of Broadcast Groups per system is 500.

## Enumeration Type Documentation

## ◆ unsp__BcastGroupSortType

enum unsp__BcastGroupSortType

Broadcast Group query sort type.

Enumerator
Bcast_SortBy_GroupNumber | Sort by Broadcast Group number.
Bcast_SortBy_GroupName | Sort by Broadcast Group name.

## ◆ unsp__BcastMemberRole

enum unsp__BcastMemberRole

Role for Broadcast Members during a broadcast call.

Enumerator
BcastMemberRole_Both | Member is both and Initiator and a Receiver.
BcastMemberRole_Initiator | Member is an Initiator.
BcastMemberRole_Receiver | Member is a Receiver.

## ◆ unsp__BcastMembersSortType

enum unsp__BcastMembersSortType

Sort criterion for Broadcast Members.

Enumerator
Bcast_SortBy_MemberDn | Broadcast Member DN.
Bcast_SortBy_MemberRole | Broadcast Member Role.

## Function Documentation

## ◆ unsp__AddBcastGroup()

unsp__AddBcastGroup | ( | struct unsp__AddBcastGroupRequest | AddBcastGroupRequest,
|  | struct unsp__AddBcastGroupResult * | AddBcastGroupResult
| ) |  |

Creates a Broadcast Group.

Adds a new Broadcast Group to the specified Business Group.

Parameters

  AddBcastGroupRequest | API request
  AddBcastGroupResult | API result MP2 command: ABCASTGROUP [Attributes]

## ◆ unsp__AddBcastMembers()

unsp__AddBcastMembers | ( | struct unsp__AddBcastMembersRequest | AddBcastMembersRequest,
|  | struct unsp__AddBcastMembersResult * | AddBcastMembersResult
| ) |  |

Adds Broadcast Members to the designated Broadcast Group.

Parameters

  AddBcastMembersRequest | API request
  AddBcastMembersResult | API result MP2 command: ABCASTMEMBER [Attributes]

## ◆ unsp__ModifyBcastGroup()

unsp__ModifyBcastGroup | ( | struct unsp__ModifyBcastGroupRequest | ModifyBcastGroupRequest,
|  | struct unsp__ModifyBcastGroupResult * | ModifyBcastGroupResult
| ) |  |

Modifies a Broadcast Group.

Modifies an existing Broadcast Group. Broadcast group name is modifiable.

Parameters

  ModifyBcastGroupRequest | API request
  ModifyBcastGroupResult | API result MP2 command: MBCASTGROUP [Attributes]

## ◆ unsp__ModifyBcastMembers()

unsp__ModifyBcastMembers | ( | struct unsp__ModifyBcastMembersRequest | ModifyBcastMembersRequest,
|  | struct unsp__ModifyBcastMembersResult * | ModifyBcastMembersResult
| ) |  |

Modifies Broadcast Members belonging the designated Broadcast Group.

Parameters

  ModifyBcastMembersRequest | API request
  ModifyBcastMembersResult | API result MP2 command: MBCASTMEMBER [Attributes]

## ◆ unsp__QueryBcastGroup()

unsp__QueryBcastGroup | ( | struct unsp__QueryBcastGroupRequest | QueryBcastGroupRequest,
|  | struct unsp__QueryBcastGroupResult * | QueryBcastGroupResult
| ) |  |

Queries Broadcast Groups using the provided filtering, sorting and paging values.

Parameters

  QueryBcastGroupRequest | API request
  QueryBcastGroupResult | API result

## ◆ unsp__QueryBcastMembers()

unsp__QueryBcastMembers | ( | struct unsp__QueryBcastMembersRequest | QueryBcastMembersRequest,
|  | struct unsp__QueryBcastMembersResult * | QueryBcastMembersResult
| ) |  |

Queries Broadcast Members using the provided filtering, sorting and paging values.

Parameters

  QueryBcastMembersRequest | API request
  QueryBcastMembersResult | API result

## ◆ unsp__RemoveBcastGroup()

unsp__RemoveBcastGroup | ( | struct unsp__RemoveBcastGroupRequest | RemoveBcastGroupRequest,
|  | struct unsp__RemoveBcastGroupResult * | RemoveBcastGroupResult
| ) |  |

Removes a Broadcast Group.

Parameters

  RemoveBcastGroupRequest | API request
  RemoveBcastGroupResult | API result MP2 command: RBCASTGROUP [Attributes]

## ◆ unsp__RemoveBcastMembers()

unsp__RemoveBcastMembers | ( | struct unsp__RemoveBcastMembersRequest | RemoveBcastMembersRequest,
|  | struct unsp__RemoveBcastMembersResult * | RemoveBcastMembersResult
| ) |  |

Removes Broadcast Members belonging the designated Broadcast Group.

Parameters

  RemoveBcastMembersRequest | API request
  RemoveBcastMembersResult | API result MP2 command: RBCASTMEMBER [Attributes]